// place our admob ad unit id here
var admobid = {};
if( /(android)/i.test(navigator.userAgent) ) {
  admobid = { // for Android
    banner: 'ca-app-pub-3879952509454941/8565891719',
    interstitial: 'ca-app-pub-3879952509454941/1042624914'
  };
} else if(/(ipod|iphone|ipad)/i.test(navigator.userAgent)) {
  admobid = { // for iOS
    banner: 'ca-app-pub-3879952509454941/3996091312',
    interstitial: 'ca-app-pub-3879952509454941/5472824519'
  };
} else {
  admobid = { // for Windows Phone
    banner: 'ca-app-pub-3879952509454941/6862254114',
    interstitial: 'ca-app-pub-3879952509454941/8199386518'
  };
}

function createSelectedBanner(){
  AdMob.createBanner({
    adId: admobid.banner,
    overlap: false,
    offsetTopBar: false,
    position: AdMob.AD_POSITION.BOTTOM_CENTER,
    autoShow: true
  });
}
function showBannerAtPosition(){
  AdMob.showBanner(AdMob.AD_POSITION.BOTTOM_CENTER);
}

function initAd(){
  AdMob.setOptions({
    //adSize: 'SMART_BANNER',
    // width: integer, // valid when set adSize 'CUSTOM'
    // height: integer, // valid when set adSize 'CUSTOM'
    position: AdMob.AD_POSITION.BOTTOM_CENTER,
    // offsetTopBar: false, // avoid overlapped by status bar, for iOS7+
    bgColor: 'black', // color name, or '#RRGGBB'
    // x: integer,    // valid when set position to 0 / POS_XY
    // y: integer,    // valid when set position to 0 / POS_XY
    //isTesting: true, // set to true, to receiving test ad for testing purpose
    // autoShow: true // auto show interstitial ad when loaded, set to false if prepare/show
  });
  // new events, with variable to differentiate: adNetwork, adType, adEvent
  $(document).on('onAdFailLoad', function(data){
    //alert('error: ' + data.error +
    //    ', reason: ' + data.reason +
    //    ', adNetwork:' + data.adNetwork +
    //    ', adType:' + data.adType +
    //    ', adEvent:' + data.adEvent); // adType: 'banner', 'interstitial', etc.
  });
  $(document).on('onAdLoaded', function(data){});
  $(document).on('onAdPresent', function(data){});
  $(document).on('onAdLeaveApp', function(data){});
  $(document).on('onAdDismiss', function(data){});

  //$('#btn_create').click(createSelectedBanner);
  //$('#btn_remove').click(function(){
  //AdMob.removeBanner();
  //});
  //$('#btn_show').click(showBannerAtPosition);
  //$('#btn_hide').click(function(){
  //AdMob.hideBanner();
  //}); 
  
}

function initAdMob() {
    //if (! AdMob) { alert( 'admob plugin not ready' ); return; }

    initAd();
    
    createSelectedBanner();
    
    prepareInterstitialAd();
}

function prepareInterstitialAd() {
    AdMob.prepareInterstitial({
      adId:admobid.interstitial,
      autoShow: false,
    });
}

function showInterstitialAd(){
    AdMob.showInterstitial();
}